Subject: Re: [Tigers] tiger radiator

From: Tom Parker <[email-masked]>
Date: Thu, 9 Oct 2014 14:08:56 -0400

A little late with this response. Sorry, Gmail issues...

I visited with Benji at Griffin to discuss the new electric fan / radiator
combo. From their engineering drawings the fan adds another @ 2 1/2" on the
engine side of the radiator, My Tiger has less than an inch clearance
between the tip of the water pump and the radiator core. I suspect that's
about right, I might be able to finagle another half inch or so by horsing
the engine back, but no more (and I'm not gonna try it...).

So my impression is the electric fan won't fit with the engine driven water
pump installed. It MAY fit with an electric water pump, but that comes with
issues; the 6 bolt 289 uses a different pump than the 5 bolt 260 / 289. I
haven't looked into electric pumps so I don't know if they're available for
the 260.

Tom
'67 Mark 2

On Wed, Sep 3, 2014 at 9:27 PM, <[email-masked]> wrote:

> I have the Griffin Radiator but no experience with the combo electric fan.
> At least one other Tiger owner and I had problems with the radiator
> fabrication. The two side flanges for mounting to the body were welded on
> wrong. They should be offset from the front of the radiator, but they
> offset them in the wrong direction. If you order one make them agree
> upfront to take it back at their cost if they send you one with this
> problem and send you one made correctly.
>
> Also, be sure you specify that you want one with a drain plug. It seems
> they have two different sets of drawings for their Tiger radiator. Not
> knowing the difference, I went with the Racing Version. That version does
> not have a drain plug... Did not know that until I went to install the
> radiator.
>
> Gene
>
> ----- Original Message -----
>
> From: "Brad Huff" <[email-masked]>
> To: [email-masked]
> Sent: Wednesday, September 3, 2014 1:17:11 PM
> Subject: [Tigers] tiger radiator
>
> Gentlemen- Any thoughts on the Griffen CU-00179 aluminum radiator and fan
> combo cooling package? I have noticed a couple of scrapes on my existing
> radiator (recored years ago with a thicker core). The fan has kissed the
> radiator core and laid back the copper fins down to the tubes in a couple
> of
> spots. My thinking is that the Griffen radiator with its narrower core
> (1-1/2
> inches vs 2-1/2 on my existing radiator) and the narrow electric fan
> included
> with the combo might be better. I would then eliminate the stock mechanical
> fan and potentially gain back some room. Any thoughts? bBrad
> _______________________________________________
>
> [email-masked]
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe:
> http://autox.team.net/mailman/options/tigers/[email-masked]
> _______________________________________________
>
> [email-masked]
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe:
> http://autox.team.net/mailman/options/tigers/[email-masked]
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]

---

From: "Dave Munroe" <[email-masked]>
Date: Thu, 9 Oct 2014 16:40:55 -0300

Tom;

My Tiger has a 2 5/8" thick alloy rad installed with an electric fan mounted 
on the forward side of the rad. I have a water pump-mounted fan that has the 
blades rearward of the fan mounting flange, so it takes up no clearance 
beyond the bolts holding the fan on the flange.

No overheating issues with this set-up...331ci stroked 289. 317hp/350 ft lb 
torque.

Photos available if you'd like.

Dave
B382000450

----- Original Message ----- 
From: "Tom Parker" <[email-masked]>
To: <[email-masked]>
Cc: "LIST TIGER" <[email-masked]>
Sent: Thursday, October 09, 2014 3:08 PM
Subject: Re: [Tigers] tiger radiator

[email-masked]

---

From: Tom Parker <[email-masked]>
Date: Thu, 9 Oct 2014 16:39:32 -0400

Dave,

Thanks. The response was from an old post on the forum right after Griffin
announced the radiator / fan combination. I took a look at my '67 and
thought there's no way that'll fit. So I followed up with Benji at Griffin.
The note was to report back what he found: 1 1/2" radiator core, 2 1/2"
fan. No way that'll fit with a motor driven water pump. He said they'd sold
lots of them. No comment so far from anyone who bought one.

My 289  has a recored stock radiator, the shop said it was a "high
efficiency" core, @ 2 1/2" thick. The engine's .030 overbore, Edelbrock
heads, manifold, cam, Holley carb. and a Summit "wide paddle" flex fan and
a Summit 10" pusher fan behind the grille a la TEAE's recommendations. At
an idle speed @ 675 rpm it will overheat in the Florida heat. I installed
the Maverick reduced diameter pump pulley, it seems to help but in summer I
kick the idle up a bit.

Tom
'67 Mark 2

On Thu, Oct 9, 2014 at 3:40 PM, Dave Munroe <[email-masked]> wrote:

> Tom;
>
> My Tiger has a 2 5/8" thick alloy rad installed with an electric fan
> mounted on the forward side of the rad. I have a water pump-mounted fan
> that has the blades rearward of the fan mounting flange, so it takes up no
> clearance beyond the bolts holding the fan on the flange.
>
> No overheating issues with this set-up...331ci stroked 289. 317hp/350 ft
> lb torque.
>
> ----- Original Message ----- From: "Tom Parker" <[email-masked]>

[email-masked]

---

From: Owain Lloyd <[email-masked]>
Date: Fri, 10 Oct 2014 05:17:33 -0400

If you ever need less than 1/2 inch more clearance to the rad and you have
the original early timing cover, its worth remembering that the later
timing covers are thinner.   you'll need to use different bolts to attach
it.   i've never tried changing one with the engine still in the car but it
should be doable with a quality damper puller and the rad removed.

On Thu, Oct 9, 2014 at 4:39 PM, Tom Parker <[email-masked]> wrote:

> http://autox.team.net/mailman/options/tigers/[email-masked]

[email-masked]

---

From: Mark Rense <[email-masked]>
Date: Fri, 10 Oct 2014 08:11:02 -0400

I have replaced one in the car. You need to:

Remove radiator
Unbolt and move rack forward or just remove.
Put jack under engine and unbolt motor mounts.
See if you can lift engine high enough without pushing valve covers into
scuttle to gain access to damper. If not then lower engine and remove valve
covers.
The rest is straight out of the book, although you may need to loosen the
oil pan front bolts.

Bugz

On Friday, October 10, 2014, Owain Lloyd <[email-masked]> wrote:

> On Thu, Oct 9, 2014 at 4:39 PM, Tom Parker <[email-masked]
> <javascript:;>> wrote:
>
> > Dave,
> >
> > On Thu, Oct 9, 2014 at 3:40 PM, Dave Munroe <[email-masked]
> <javascript:;>> wrote:
> >
> > > Tom;
> > >
> > > ----- Original Message ----- From: "Tom Parker" <
> [email-masked] <javascript:;>>
> > > To: <[email-masked] <javascript:;>>
> > > Cc: "LIST TIGER" <[email-masked] <javascript:;>>
> > >> combo. From their engineering drawings the fan adds another @ 2 1/2"
> on
> > >> the
> > >> issues; the 6 bolt 289 uses a different pump than the 5 bolt 260 /
> 289.
> > I
> > >> haven't looked into electric pumps so I don't know if they're
> available
> > >> for
> > >> the 260.
> > >>
> > >> Tom
> > >> '67 Mark 2
> > [email-masked] <javascript:;>
> >
> [email-masked] <javascript:;>
>
> http://autox.team.net/mailman/options/tigers/[email-masked]

[email-masked]

---

From: Owain Lloyd <[email-masked]>
Date: Fri, 10 Oct 2014 10:57:34 -0400

yep, about 0.6" is what i remember.  the timing pointer doesn't matter -
its the mounting flange for the water pump that does.

it fits fine - you just need to adjust the spacing of your crank pulley
(and maybe alternator depending on how it's mounted).

I noticed this when I installed a newly built engine that i'd used the '64
style cover on.  my old engine had the later cover.   initially i had an
electric pump, but switched back to the mechanical to get the belt to the
alternator.   i've since modified the mounting style to allow use of the
electric pump but have not yet re fitted it.

On Fri, Oct 10, 2014 at 10:51 AM, Ron Fraser <[email-masked]> wrote:

> I just measured a couple of timing covers.
>
> 5.0L  E5AE timing cover - Thickness = 2.1"
>
> 64 289, C5AE timing cover - major thickness = 2.712 - the cast timing
> pointer makes the total thickness = 3.092"
>
> That makes about 1" difference.  The difference with a 289 timing cover
> without a cast pointer should be around .6"
>
> Yes the timing cover can be removed with the engine in place.  The radiator
> must be removed to gain access.
>
> I believe the 5.0L timing cover will fit OK but I have never checked that
> or
> looked to see.
>
> Ron Fraser
>
> -----Original Message-----
> From: Tigers [mailto:[email-masked]] On Behalf Of Owain
> Lloyd
> Sent: Friday, October 10, 2014 5:18 AM
> To: Tom Parker
> Cc: LIST TIGER

[email-masked]